Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226215 - Merge Review: openobex
Summary: Merge Review: openobex
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:18 UTC by Nobody's working on this, feel free to take it
Modified: 2007-12-07 21:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-29 17:12:46 UTC
ville.skytta: fedora-review+


Attachments (Terms of Use)
Fix pkgconfig path on lib64 archs (deleted)
2007-03-24 14:56 UTC, Ville Skyttä
no flags Details | Diff
Remaining cosmetic fixes (deleted)
2007-10-28 20:13 UTC, Ville Skyttä
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 20:18:50 UTC
Fedora Merge Review: openobex

http://cvs.fedora.redhat.com/viewcvs/devel/openobex/
Initial Owner: harald@redhat.com

Comment 1 Ville Skyttä 2007-03-06 21:23:56 UTC
What is the license of this package?  License tag says LGPL, upstream tarball
contains both GPL and LGPL license texts, contains both GPL (irda.h,
obex_connect.h) and LGPL sources, and only the GPL license file is included in
binary packages.  Mixture of GPL and LGPL sources which are all built in would
make all of this fall under the GPL, no?

Comment 2 Harald Hoyer 2007-03-23 13:07:08 UTC
right

please check openobex-1.3-5.fc7

Comment 3 Ville Skyttä 2007-03-24 14:56:30 UTC
Created attachment 150826 [details]
Fix pkgconfig path on lib64 archs

- libusb.pc is searched from a wrong dir on lib64 archs by configure (see
patch), resulting in missing "Requires: libusb" from the .pc file

- BuildRequires and ExcludeArch for -apps seem to be dupes, they're already in
the main package

- autoreconf would be better placed in %prep

- configuring with --disable-dependency-tracking would clean up the build
output and possibly speed the build up a bit

- Summaries and descriptions could be improved quite a bit.  The description
for -devel is actually wrong.

- make -C doc does not actually seem to build anything, and (unsurprisingly)
its results aren't included in any subpackages.  Perhaps build the HTML doc
(make -C doc html) and include it in -devel, or don't build any of the docs,
and drop the make -C doc as well as docbook related build dependencies?

- Including all AUTHORS etc %docs in all subpackages doesn't look too useful,
perhaps drop them altogether from -apps and -devel since they require the main
package anyway and seem to contain only generic info about the software which
is probably best kept in the main package?

Comment 4 Ville Skyttä 2007-10-13 15:03:19 UTC
Ping?

Comment 5 Harald Hoyer 2007-10-15 07:57:40 UTC
adding the new owner of openobex to CC

Comment 6 Jiri Moskovcak 2007-10-23 13:32:42 UTC
Hi, I fixed the errors above, so could someone please re-check it?

Thank you

jirka

Comment 7 Ville Skyttä 2007-10-23 18:50:56 UTC
I don't see any of the raised issues fixed in CVS.

Comment 8 Jiri Moskovcak 2007-10-24 08:08:09 UTC
Hi, it should be fixed only in F-7 branch. I will fix it in all other branches
when you'll check it.

Thank you

jirka

Comment 9 Ville Skyttä 2007-10-25 19:35:42 UTC
Ok, looks better now.  However there's now branch confusion as the F-8 and devel
branches have changes (ipv6, source URL, License tag) that are not included in
the F-7 branch but on the other hand lack fixes in the F-7 one (cleanups,
libusb.pc fix).  And the 1.3-6%{?dist} in F-7 and F-8+ are quite different.

If the current F-7 package fixes were ported to the devel branch and then the
whole shebang back to earlier branches from devel, I think we'd be good to go. 
Let me know when one/some of the branches have all the fixes and I'll take one
more look at that.

Comment 10 Ville Skyttä 2007-10-28 20:13:58 UTC
Created attachment 240941 [details]
Remaining cosmetic fixes

Ok, devel branch looks good now, patch for some remaining cosmetic issues
attached.  Approved with it applied.

Comment 11 Jiri Moskovcak 2007-10-29 09:22:27 UTC
Should be fixed and consistent in all actual branches (F7, F8, devel). Thank you
for reviewing.

jirka

Comment 12 Ville Skyttä 2007-10-29 17:12:46 UTC
The F-7 branch still has "License: GPL", different source URL and the unneeded
"0:" in the autoconf dependency, but fixing those is not obviously required per
this review as the F-8 and devel branches look ok.

Comment 13 Fedora Update System 2007-12-07 21:33:46 UTC
man-pages-it-2.65-6.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update man-pages-it'


Note You need to log in before you can comment on or make changes to this bug.